#include <sys/stat.h>
#include <sys/syscall.h>
#include <unistd.h>

extern "C"
{
    int mkdir(const char* pathname, mode_t)
    {
        return (int)syscall(SYS_mkdir, pathname);
    }

    int fstat(int fd, struct stat* buf)
    {
        return (int)syscall(SYS_fstat, fd, buf);
    }

    int stat(const char* path, struct stat* buf)
    {
        return (int)syscall(SYS_stat, path, buf);
    }
}